Bug 520023 - setroubleshoot: SELinux is preventing the loadkeys from using potentially mislabeled files (Documents).
Summary: setroubleshoot: SELinux is preventing the loadkeys from using potentiall...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:99fb5590065...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-28 03:00 UTC by Eric Springer
Modified: 2009-10-20 21:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-20 21:02:58 UTC


Attachments (Terms of Use)

Description Eric Springer 2009-08-28 03:00:29 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing the loadkeys from using potentially mislabeled files
(Documents).

Detailed Description:

[SELinux is in permissive mode, the operation would have been denied but was
permitted due to permissive mode.]

SELinux has denied loadkeys access to potentially mislabeled file(s)
(Documents). This means that SELinux will not allow loadkeys to use these files.
It is common for users to edit files in their home directory or tmp directories
and then move (mv) them to system directories. The problem is that the files end
up with the wrong file context which confined applications are not allowed to
access.

Allowing Access:

If you want loadkeys to access this files, you need to relabel them using
restorecon -v 'Documents'. You might want to relabel the entire directory using
restorecon -R -v 'Documents'.

Additional Information:

Source Context                unconfined_u:unconfined_r:loadkeys_t:s0-s0:c0.c102
                              3
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                Documents [ dir ]
Source                        loadkeys
Source Path                   /bin/loadkeys
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           kbd-1.15-7.fc11
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.26-8.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   home_tmp_bad_labels
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31-0.125.4.2.rc5.git2.fc12.x86_64 #1 SMP Tue
                              Aug 11 21:00:45 EDT 2009 x86_64 x86_64
Alert Count                   2
First Seen                    Fri 28 Aug 2009 02:59:21 AM EDT
Last Seen                     Fri 28 Aug 2009 02:59:21 AM EDT
Local ID                      ea3001f8-786d-459e-abe5-ab03a83731ae
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1251442761.382:29423): avc:  denied  { read } for  pid=2972 comm="loadkeys" name="Documents" dev=dm-0 ino=90138 scontext=unconfined_u:unconfined_r:loadkeys_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1251442761.382:29423): avc:  denied  { open } for  pid=2972 comm="loadkeys" name="Documents" dev=dm-0 ino=90138 scontext=unconfined_u:unconfined_r:loadkeys_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1251442761.382:29423): arch=c000003e syscall=2 success=yes exit=0 a0=40f4d7 a1=90800 a2=1 a3=7fff83225680 items=0 ppid=2840 pid=2972 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=2 comm="loadkeys" exe="/bin/loadkeys" subj=unconfined_u:unconfined_r:loadkeys_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= loadkeys_t ==============
allow loadkeys_t user_home_t:dir { read open };

Comment 1 Daniel Walsh 2009-09-04 14:38:35 UTC
Could you give me an idea of what you were doing when this happened?


Note You need to log in before you can comment on or make changes to this bug.